Create New Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
POST /profiles/{profile_id}/pages/{page_id}/records

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

application/json

Body

  • device_id string
  • fields array

    an array that contains record fields

  • fields_element_id string
  • fieldselementname_inspectorname string

    must have either element_name or element_id set

  • fields_encoding string

    must match "base64", "url"

  • fields_extension string

    file extension, if applicable

  • fields_value string
  • javascript_state string
  • parent_element_id number
  • parent_page_id number
  • parent_record_id number

Responses

  • 201 application/json

    Created

    Hide response attribute Show response attribute object
    • id number Required

      the created record id

POST /profiles/{profile_id}/pages/{page_id}/records
curl \
 --request POST 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/records' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"device_id":"API","fields":[],"fields_element_id":"20483236","fieldselementname_inspectorname":"string","fields_encoding":"url","fields_extension":"jpg","fields_value":"Calvin Ng","javascript_state":"{}","parent_element_id":42.0,"parent_page_id":42.0,"parent_record_id":42.0}'
Request examples
{
  "device_id": "API",
  "fields": [],
  "fields_element_id": "20483236",
  "fieldselementname_inspectorname": "string",
  "fields_encoding": "url",
  "fields_extension": "jpg",
  "fields_value": "Calvin Ng",
  "javascript_state": "{}",
  "parent_element_id": 42.0,
  "parent_page_id": 42.0,
  "parent_record_id": 42.0
}
Response examples (201)
[
  {
    "id": 4
  },
  {
    "id": 7
  }
]